## Usage and Components

Note: as of 2023-11-22 this docker-compose is available internally.

### Versions

* jitsi/web: https://hub.docker.com/r/jitsi/web/tags
* jitsi/prodody: https://hub.docker.com/r/jitsi/prosody/tags
* jitsi/jicofo: https://hub.docker.com/r/jitsi/jicofo/tags
* jitsi/jvb: https://hub.docker.com/r/jitsi/jvb/tags

### Domains / jitsi web

* PUBLIC_URL: on which domain the jistis server is reachable
* LETSENCRYPT_DOMAIN: on which domain web will be deployed


### Sample usage

Setting up jitsi for  ...

- the jitsi domain "fn.nf"
- jitsi web "fn.nf" 

- set domains and config via .env

```
PUBLIC_URL=https://fn.nf
ENABLE_LETSENCRYPT=1
LETSENCRYPT_DOMAIN=fn.nf
LETSENCRYPT_EMAIL=technik@ungleich.ch
LETSENCRYPT_USE_STAGING=1
JITSI_IMAGE_VERSION=latest
JICOFO_AUTH_PASSWORD="create password ex. pwgen 32"
JVB_AUTH_PASSWORD="create password ex. pwgen 32"
JIGASI_XMPP_PASSWORD="create password ex. pwgen 32"
JIBRI_RECORDER_PASSWORD="create password ex. pwgen 32"
JIBRI_XMPP_PASSWORD="create password ex. pwgen 32"

```

- run docker-compose

```
docker-compose up -d
```

### Using existing TLS certificate and key

- update docker-compose.yml

```
services:
    web:
        ...
        volumes:
            ...
            - /path/to/your/cert.fullchain:/config/keys/cert.crt
            - /path/to/your/cert.key:/config/keys/cert.key
```