#!/bin/sh


cat << EOF > /etc/nginx/conf.d/redirector.conf
server {
    listen 443 ssl http2;
    listen [::]:443 ssl http2;

    ssl_certificate      /etc/letsencrypt/live/$SERVERNAME/fullchain.pem;
    ssl_certificate_key  /etc/letsencrypt/live/$SERVERNAME/privkey.pem;

    server_name $SERVERNAME;
    proxy_buffering off;


    location /.well-known/matrix/server {
      default_type application/json;
      return 200 '{"m.server": "$PUBLICBASEURL:443" }';
    }
    location /.well-known/matrix/client {
      default_type application/json;
      return 200 '{ "m.homeserver": { "base_url": "https://$PUBLICBASEURL" } }';
    }

    location / {
        proxy_buffering off;
        client_max_body_size 512M;
        return 301 https://$ELEMENTWEB;
    }
}
EOF
