## Usage and Components

Note: as of 2023-09-01 this docker-compose is available internally.

### Versions

* Element: https://hub.docker.com/r/vectorim/element-web/tags
* Synapse: https://hub.docker.com/r/matrixdotorg/synapse/tags

### Domains / homeserver.yaml and element-config.json

* synapseFQDN: on which domain the home server is reachable
* elementWebFQDN: on which domain element web will be deployed
* homeServerFQDN: the "matrix domain" that identifies the users

### Sample usage

Setting up matrix for  ...

- the matrix domain "fn.nf"
- the homeserver "homeserver.fn.nf"
- element web on m.fn.nf

- set domains and config via .env

```
homeServerFQDN=homeServerFQDN.sample.matrix.ungleich.cloud
synapseFQDN=synapse.sample.matrix.ungleich.cloud
elementWebFQDN=elementWebFQDN.sample.matrix.ungleich.cloud
dbuser=synapse
dbhost=postgres.tws-matrix.ungleich.cloud
dbpassword=NEEDTOSETPASSWORD
dbname=synapse
DOMAIN=synapse.tws-matrix.ungleich.cloud
EMAIL=technik@ungleich.ch
STAGING=no
redishost=redis-node1.ungleich.cloud
redisport=7300
```


```
docker-compose up -d
```
